# holzleitner_api.model.DeliveryCreditEventRequest

## Load the model package
```dart
import 'package:holzleitner_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**action** | [**CreditAction**](CreditAction.md) |  | 
**amountCents** | **int** | Bei `Set` Pflicht: Betrag in Cent (> 0, ≤ 15000, Vielfaches von 1000). | [optional] 
**authorCarId** | **String** | Fahrzeug des Akteurs (Audit-Spur). Muss zum Account gehören. | [optional] 
**clientEventId** | **String** | Idempotenz-Schlüssel — pro erzeugtem Ereignis genau einmal vergeben. Ein Retry mit derselben Id wendet nichts erneut an. | 
**reason** | **String** | Bei `Set` Pflicht: Begründung. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


